Skip to main content
GET
/
assets
/
{symbol}
Get a single asset by symbol/ticker
curl --request GET \
  --url https://api.bluumfinance.com/v1/assets/{symbol} \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": {
    "id": "b0b6dd9d-8b9b-48b9-bbb8-bbbb49bb1bbb",
    "class": "us_equity",
    "market": "XNAS",
    "symbol": "AAPL",
    "name": "Apple Inc.",
    "status": "active",
    "tradable": true,
    "marginable": true,
    "shortable": true,
    "easy_to_borrow": true,
    "fractionable": true,
    "currency": "USD",
    "price": 178.5,
    "change": 1.5,
    "changePercent": 0.85,
    "previousClose": 177,
    "bidPrice": 178.48,
    "askPrice": 178.52
  }
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

symbol
string
required

Asset ticker symbol (e.g., AAPL, MSFT, DANGOTE)

Query Parameters

market
enum<string>

Optional market hint for faster lookup. If provided, only the corresponding provider is queried. Without this hint, all providers are searched.

Available options:
XNAS,
XNYS,
BATS,
ARCA,
OTC,
XNSA

Response

Asset information with current price data

data
object

Asset information including metadata and current price data